JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Loading...
Searching...
No Matches
Public Member Functions | List of all members
TooltipWindow::LookAndFeelMethods Struct Referenceabstract
juce_gui_basics » windows

This abstract base class is implemented by LookAndFeel classes to provide window drawing functionality. More...

`#include <juce_TooltipWindow.h>`

Inheritance diagram for TooltipWindow::LookAndFeelMethods:

## Public Member Functions
virtual | ~LookAndFeelMethods ()=default
virtual Rectangle< int > | getTooltipBounds (const String &tipText, Point< int > screenPos, Rectangle< int > parentArea)=0
| returns the bounds for a tooltip at the given screen coordinate, constrained within the given desktop area.
virtual void | drawTooltip (Graphics &, const String &text, int width, int height)=0

## Detailed Description

This abstract base class is implemented by LookAndFeel classes to provide window drawing functionality.

## Constructor & Destructor Documentation

## ◆ ~LookAndFeelMethods()

virtual TooltipWindow::LookAndFeelMethods::~LookAndFeelMethods | ( |  | ) |
| virtual default

## Member Function Documentation

## ◆ getTooltipBounds()

virtual Rectangle< int > TooltipWindow::LookAndFeelMethods::getTooltipBounds | ( | const String & | tipText,
|  | Point< int > | screenPos,
|  | Rectangle< int > | parentArea )
| pure virtual

returns the bounds for a tooltip at the given screen coordinate, constrained within the given desktop area.

Implemented in LookAndFeel_V2.

## ◆ drawTooltip()

virtual void TooltipWindow::LookAndFeelMethods::drawTooltip | ( | Graphics & | ,
|  | const String & | text,
|  | int | width,
|  | int | height )
| pure virtual

Implemented in LookAndFeel_V2, and LookAndFeel_V4.

The documentation for this struct was generated from the following file:

- juce_TooltipWindow.h